## ktp-send-file 0.8.0

=== CMakeLists.txt ===
project(ktp-send-file)

set (KTP_SEND_FILE_VERSION "0.8.0")

set (CMAKE_MODULE_PATH
     "${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules"
     ${CMAKE_MODULE_PATH}
)
cmake_policy(SET CMP0002 OLD)

set(KDE_MIN_VERSION "4.7.0")
set(IS_KTP_INTERNAL_MODULE TRUE)
find_package(KDE4 REQUIRED)
find_package(TelepathyQt4 0.8.9 REQUIRED)
find_package(KTp REQUIRED)

include(KDE4Defaults)
include(MacroLibrary)

# Add the compiler flags
add_definitions (${QT_DEFINITIONS} ${KDE4_DEFINITIONS})
include_directories(
  ${CMAKE_SOURCE_DIR}
  ${CMAKE_BINARY_DIR}
  ${KDE4_INCLUDES}
  ${TELEPATHY_QT4_INCLUDE_DIR}
  ${KTP_INCLUDE_DIR}
)

# Insert your sources here
set(KTP_SEND_FILE_SRCS
    mainwindow.cpp
    main.cpp
)

set(KTP_SEND_FILE_UI
    mainwindow.ui)

configure_file(version.h.in ${CMAKE_CURRENT_BINARY_DIR}/version.h)

kde4_add_ui_files(KTP_SEND_FILE_SRCS ${KTP_SEND_FILE_UI})

# Create the plasmoid
kde4_add_executable(ktp-send-file ${KTP_SEND_FILE_SRCS})

# Link against the needed libraries
target_link_libraries(ktp-send-file
  ${TELEPATHY_QT4_LIBRARIES}
  ${KTP_LIBRARIES}
  ${KTP_MODELS_LIBRARIES}
  ${KTP_WIDGETS_LIBRARIES}
  ${KDE4_KDEUI_LIBS}
  ${KDE4_KIO_LIBS}
)

install(TARGETS ktp-send-file ${INSTALL_TARGETS_DEFAULT_ARGS})
install(FILES ktp-send-file.desktop DESTINATION ${SERVICES_INSTALL_DIR}/ServiceMenus)

macro_display_feature_log()


find_package(Msgfmt REQUIRED)
find_package(Gettext REQUIRED)
add_subdirectory( po )

## ktp-send-file 0.3.1

=== debian/changelog ===
ktp-send-file (0.3.1-0ubuntu1) precise; urgency=low

  * new upstream bugfix release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 10 Apr 2012 11:34:06 +0100

ktp-send-file (0.3.0-0ubuntu1) precise; urgency=low

  * Initial Kubuntu package, based on Debian unreleased package

 -- Rohan Garg <rohangarg@kubuntu.org>  Wed, 08 Feb 2012 16:44:38 +0100

=== debian/control ===
Source: ktp-send-file
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: George Kiagiadakis <kiagiadakis.george@gmail.com>
Build-Depends: debhelper (>= 8),
 pkg-kde-tools (>= 0.9),
 libtelepathy-qt4-dev (>= 0.7.1),
 kdelibs5-dev (>= 4:4.7),
 cmake (>= 2.8),
 libktpcommoninternalsprivate-dev (>= 0.3.0)
Standards-Version: 3.9.2
Homepage: https://projects.kde.org/projects/extragear/network/telepathy/ktp-send-file

Package: kde-telepathy-send-file
Architecture: any
Depends: kde-telepathy-filetransfer-handler (>= 0.2),
 kde-telepathy-data (>= 0.2),
 ${shlibs:Depends},
 ${misc:Depends}
Recommends: dolphin | konqueror, kde-telepathy
Description: KDE Telepathy dolphin/konqueror integration plugin
 This package provides a dolphin/konqueror plugin that allows you
 to easily send files to your contacts from a context menu action.
 .
 This package is not meant to be used standalone. It is recommended
 to install the telepathy-kde metapackage instead.

Package: kde-telepathy-send-file-dbg
Architecture: any
Section: debug
Priority: extra
Depends: kde-telepathy-send-file (= ${binary:Version}), ${misc:Depends}
Description: KDE Telepathy dolphin/konqueror integration plugin - debug symbols
 This package provides the debug symbols for the KDE Telepathy send file
 plugin.

## ktp-send-file 0.4.0

=== debian/changelog ===
ktp-send-file (0.4.0-1) unstable; urgency=low

  * Initial release.

 -- George Kiagiadakis <kiagiadakis.george@gmail.com>  Mon, 18 Jun 2012 22:25:57 +0300

=== debian/control ===
Source: ktp-send-file
Section: kde
Priority: optional
Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
Uploaders: George Kiagiadakis <kiagiadakis.george@gmail.com>
Build-Depends: debhelper (>= 9),
 pkg-kde-tools (>= 0.9),
 libtelepathy-qt4-dev (>= 0.9.0),
 kdelibs5-dev (>= 4:4.7),
 cmake (>= 2.8),
 libktpcommoninternalsprivate-dev (>= 0.4.0)
Standards-Version: 3.9.3
Homepage: https://projects.kde.org/projects/extragear/network/telepathy/ktp-send-file
Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-extras/kde-telepathy/ktp-send-file.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-extras/kde-telepathy/ktp-send-file.git

Package: kde-telepathy-send-file
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, kde-telepathy-data (>= 0.4)
Recommends: dolphin | konqueror, kde-telepathy
Description: KDE Telepathy dolphin/konqueror integration plugin
 This package provides a dolphin/konqueror plugin that allows you
 to easily send files to your contacts from a context menu action.
 .
 This package is not meant to be used standalone. It is recommended
 to install the kde-telepathy metapackage instead.

Package: kde-telepathy-send-file-dbg
Architecture: any
Section: debug
Priority: extra
Depends: kde-telepathy-send-file (= ${binary:Version}), ${misc:Depends}
Description: KDE Telepathy dolphin/konqueror integration plugin - debug symbols
 This package provides the debug symbols for the KDE Telepathy send file
 plugin.

=== debian/watch ===
version=3

ftp://ftp.kde.org/pub/kde/unstable/kde-telepathy/([\d.]+)/src/ktp-send-file-([\d.]+).tar.bz2

## ktp-send-file 0.5.1

=== debian/changelog ===
ktp-send-file (0.5.1-0ubuntu1) quantal-proposed; urgency=low

  * New upstream release

 -- Rohan Garg <rohangarg@kubuntu.org>  Fri, 05 Oct 2012 03:39:17 +0530

ktp-send-file (0.5.0-0ubuntu1) quantal; urgency=low

  * New upstream release

 -- Rohan Garg <rohangarg@kubuntu.org>  Sun, 26 Aug 2012 12:46:07 +0530

ktp-send-file (0.4.1-0ubuntu1) quantal; urgency=low

  * New upstream release

 -- Michal Zajac <quintasan@kubuntu.org>  Tue, 31 Jul 2012 20:59:08 +0200

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,15 @@
 Source: ktp-send-file
 Section: kde
 Priority: optional
-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
 Uploaders: George Kiagiadakis <kiagiadakis.george@gmail.com>
 Build-Depends: debhelper (>= 9),
  pkg-kde-tools (>= 0.9),
  libtelepathy-qt4-dev (>= 0.9.0),
  kdelibs5-dev (>= 4:4.7),
  cmake (>= 2.8),
- libktpcommoninternalsprivate-dev (>= 0.4.0)
+ libktpcommoninternalsprivate-dev (>= 0.5.1)
 Standards-Version: 3.9.3
 Homepage: https://projects.kde.org/projects/extragear/network/telepathy/ktp-send-file
 Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-extras/kde-telepathy/ktp-send-file.git

## ktp-send-file 0.5.2

=== debian/changelog ===
ktp-send-file (0.5.2-0ubuntu1) raring; urgency=low

  * New upstream release

 -- Rohan Garg <rohangarg@kubuntu.org>  Wed, 19 Dec 2012 00:25:36 +0530

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
  libtelepathy-qt4-dev (>= 0.9.0),
  kdelibs5-dev (>= 4:4.7),
  cmake (>= 2.8),
- libktpcommoninternalsprivate-dev (>= 0.5.1)
+ libktpcommoninternalsprivate-dev (>= 0.5.2)
 Standards-Version: 3.9.3
 Homepage: https://projects.kde.org/projects/extragear/network/telepathy/ktp-send-file
 Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-extras/kde-telepathy/ktp-send-file.git

## ktp-send-file 0.6.1

=== debian/changelog ===
ktp-send-file (0.6.1-0ubuntu1) raring; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 17 Apr 2013 10:32:52 +0100

ktp-send-file (0.6.0-0ubuntu1) raring; urgency=low

  * New upstream release

 -- Rohan Garg <rohangarg@kubuntu.org>  Wed, 03 Apr 2013 11:15:51 +0100

ktp-send-file (0.5.80-0ubuntu1) raring; urgency=low

  * New upstream release

 -- Rohan Garg <rohangarg@kubuntu.org>  Thu, 07 Mar 2013 16:28:05 +0000

ktp-send-file (0.5.3-0ubuntu1) raring; urgency=low

  * New upstream release

 -- Rohan Garg <rohangarg@kubuntu.org>  Mon, 18 Feb 2013 16:29:05 +0530

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
  libtelepathy-qt4-dev (>= 0.9.0),
  kdelibs5-dev (>= 4:4.7),
  cmake (>= 2.8),
- libktpcommoninternalsprivate-dev (>= 0.5.2)
+ libktpcommoninternalsprivate-dev (>= 0.6.0)
 Standards-Version: 3.9.3
 Homepage: https://projects.kde.org/projects/extragear/network/telepathy/ktp-send-file
 Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-extras/kde-telepathy/ktp-send-file.git

## ktp-send-file 0.6.3

=== debian/changelog ===
ktp-send-file (0.6.3-1) unstable; urgency=low

  [ Diane Trout ]
  * Imported Upstream version 0.6.2
  * Bump ktp-common-internals and kde-telepath-data dependencies to 0.6.2
  * Bump libtelepathy-qt4-dev dependency to 0.9.3
  * Set Uploaders to Diane Trout and Michał Zając
  * Update Standards-Version to 3.9.4. No changes needed.
  * Update watch file as KDE Telepathy is now in KDE stable.

  [ Mark Purcell ] 
  * Imported Upstream version 0.6.3
  * Add myself to Uploaders
  * Update Build-Depends: libktpcommoninternalsprivate-dev (>= 0.6.3)

 -- Mark Purcell <msp@debian.org>  Sun, 11 Aug 2013 10:56:23 +1000

=== debian/control ===
--- 
+++ 
@@ -1,23 +1,22 @@
 Source: ktp-send-file
 Section: kde
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
-Uploaders: George Kiagiadakis <kiagiadakis.george@gmail.com>
+Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
+Uploaders: Diane Trout <diane@ghic.org>, Michał Zając <quintasan@kubuntu.org>, Mark Purcell <msp@debian.org>
 Build-Depends: debhelper (>= 9),
  pkg-kde-tools (>= 0.9),
- libtelepathy-qt4-dev (>= 0.9.0),
+ libtelepathy-qt4-dev (>= 0.9.3),
  kdelibs5-dev (>= 4:4.7),
  cmake (>= 2.8),
- libktpcommoninternalsprivate-dev (>= 0.6.0)
-Standards-Version: 3.9.3
+ libktpcommoninternalsprivate-dev (>= 0.6.3)
+Standards-Version: 3.9.4
 Homepage: https://projects.kde.org/projects/extragear/network/telepathy/ktp-send-file
 Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-extras/kde-telepathy/ktp-send-file.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-extras/kde-telepathy/ktp-send-file.git
 
 Package: kde-telepathy-send-file
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, kde-telepathy-data (>= 0.4)
+Depends: ${shlibs:Depends}, ${misc:Depends}, kde-telepathy-data (>= 0.6.2)
 Recommends: dolphin | konqueror, kde-telepathy
 Description: KDE Telepathy dolphin/konqueror integration plugin
  This package provides a dolphin/konqueror plugin that allows you

## ktp-send-file 0.8.0

=== debian/changelog ===
ktp-send-file (0.8.0-0ubuntu1) trusty; urgency=medium

  * New upstream release (LP: #1297351)

 -- Rohan Garg <rohangarg@kubuntu.org>  Tue, 01 Apr 2014 15:27:12 +0200

ktp-send-file (0.7.80-0ubuntu1) trusty; urgency=medium

  * New upstream release

 -- Rohan Garg <rohangarg@kubuntu.org>  Tue, 18 Feb 2014 00:15:15 +0100

ktp-send-file (0.7.1-0ubuntu1) trusty; urgency=medium

  * New upstream release

 -- Rohan Garg <rohangarg@kubuntu.org>  Wed, 29 Jan 2014 19:47:09 +0100

ktp-send-file (0.7.0-0ubuntu2) trusty; urgency=low

  * Move dolphin and konqueror to Enhances instead of Recommends
    since it makes more sense. Change approved by upstream maintainer.

 -- Rohan Garg <rohangarg@kubuntu.org>  Thu, 28 Nov 2013 18:23:02 +0100

ktp-send-file (0.7.0-0ubuntu1) trusty; urgency=low

  * New upstream release

 -- Rohan Garg <rohangarg@kubuntu.org>  Tue, 29 Oct 2013 12:47:35 +0100

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,15 @@
 Source: ktp-send-file
 Section: kde
 Priority: optional
-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
 Uploaders: Diane Trout <diane@ghic.org>, Michał Zając <quintasan@kubuntu.org>, Mark Purcell <msp@debian.org>
 Build-Depends: debhelper (>= 9),
  pkg-kde-tools (>= 0.9),
  libtelepathy-qt4-dev (>= 0.9.3),
  kdelibs5-dev (>= 4:4.7),
  cmake (>= 2.8),
- libktpcommoninternalsprivate-dev (>= 0.6.3)
+ libktpcommoninternalsprivate-dev (>= 0.8.0)
 Standards-Version: 3.9.4
 Homepage: https://projects.kde.org/projects/extragear/network/telepathy/ktp-send-file
 Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-extras/kde-telepathy/ktp-send-file.git
@@ -17,7 +18,8 @@
 Package: kde-telepathy-send-file
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, kde-telepathy-data (>= 0.6.2)
-Recommends: dolphin | konqueror, kde-telepathy
+Recommends: kde-telepathy
+Enhances: dolphin, konqueror
 Description: KDE Telepathy dolphin/konqueror integration plugin
  This package provides a dolphin/konqueror plugin that allows you
  to easily send files to your contacts from a context menu action.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --parallel --with kde --dbg-package=kde-telepathy-send-file-dbg --list-missing

=== debian/watch ===
version=3

ftp://ftp.kde.org/pub/kde/stable/kde-telepathy/([\d.]+)/src/ktp-send-file-([\d.]+).tar.bz2

## ktp-send-file 0.8.1

=== po/CMakeLists.txt ===
add_subdirectory( bs )
add_subdirectory( ca )
add_subdirectory( ca@valencia )
add_subdirectory( cs )
add_subdirectory( da )
add_subdirectory( de )
add_subdirectory( el )
add_subdirectory( es )
add_subdirectory( et )
add_subdirectory( fi )
add_subdirectory( fr )
add_subdirectory( ga )
add_subdirectory( gl )
add_subdirectory( hu )
add_subdirectory( ia )
add_subdirectory( it )
add_subdirectory( ja )
add_subdirectory( kk )
add_subdirectory( km )
add_subdirectory( ko )
add_subdirectory( lt )
add_subdirectory( mr )
add_subdirectory( nb )
add_subdirectory( nds )
add_subdirectory( nl )
add_subdirectory( pl )
add_subdirectory( pt )
add_subdirectory( pt_BR )
add_subdirectory( ro )
add_subdirectory( ru )
add_subdirectory( sk )
add_subdirectory( sl )
add_subdirectory( sr )
add_subdirectory( sr@ijekavian )
add_subdirectory( sr@ijekavianlatin )
add_subdirectory( sr@latin )
add_subdirectory( sv )
add_subdirectory( tr )
add_subdirectory( uk )
add_subdirectory( vi )
add_subdirectory( zh_CN )
add_subdirectory( zh_TW )

=== po/ia/CMakeLists.txt ===
file(GLOB _po_files *.po)
GETTEXT_PROCESS_PO_FILES( ia ALL INSTALL_DESTINATION ${LOCALE_INSTALL_DIR} ${_po_files} )

=== debian/changelog ===
ktp-send-file (0.8.1-1) unstable; urgency=medium

  * New upstream release.
  * Update Standards-Version to 3.9.5. No changes needed.
  * Update ktp-common-interals and kde-telepathy-data dependencies to 0.8.1
  * Remove fix-send-file.patch merged upstream
  * Update debian/copyright

 -- Diane Trout <diane@ghic.org>  Fri, 16 May 2014 21:06:15 -0700

ktp-send-file (0.7.0-1) unstable; urgency=low

  * New upstream release.
  * Bump ktp-common-internals and kde-telepath-data dependencies to 0.7.0
  * add fix-send-file.patch.
  * Change Recommends: dolphin | konqueror to Enhances: dolphin, konqueror

 -- Diane Trout <diane@ghic.org>  Tue, 29 Oct 2013 22:25:07 -0700

=== debian/control ===
--- 
+++ 
@@ -1,23 +1,22 @@
 Source: ktp-send-file
 Section: kde
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
+Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
 Uploaders: Diane Trout <diane@ghic.org>, Michał Zając <quintasan@kubuntu.org>, Mark Purcell <msp@debian.org>
 Build-Depends: debhelper (>= 9),
  pkg-kde-tools (>= 0.9),
  libtelepathy-qt4-dev (>= 0.9.3),
  kdelibs5-dev (>= 4:4.7),
  cmake (>= 2.8),
- libktpcommoninternalsprivate-dev (>= 0.8.0)
-Standards-Version: 3.9.4
+ libktpcommoninternalsprivate-dev (>= 0.8.1)
+Standards-Version: 3.9.5
 Homepage: https://projects.kde.org/projects/extragear/network/telepathy/ktp-send-file
 Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-extras/kde-telepathy/ktp-send-file.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-extras/kde-telepathy/ktp-send-file.git
 
 Package: kde-telepathy-send-file
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, kde-telepathy-data (>= 0.6.2)
+Depends: ${shlibs:Depends}, ${misc:Depends}, kde-telepathy-data (>= 0.8.1)
 Recommends: kde-telepathy
 Enhances: dolphin, konqueror
 Description: KDE Telepathy dolphin/konqueror integration plugin

## ktp-send-file 0.9.0

=== debian/changelog ===
ktp-send-file (0.9.0-0ubuntu1) vivid; urgency=medium

  * New upstream release
  * Merge with Debian git, no changes

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 28 Oct 2014 13:14:02 +0100

ktp-send-file (0.8.80-1) UNRELEASED; urgency=medium

  * New upstream release.
  * Update libktpcommoninternalsprivate-dev build-dep to 0.8.80
  * Change kde-telepathy-data to source:Upstream-Version

 -- Diane Trout <diane@ghic.org>  Sun, 21 Sep 2014 10:52:31 -0700

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,14 @@
 Source: ktp-send-file
 Section: kde
 Priority: optional
-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
+Maintainer: Debian/Kubuntu KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
 Uploaders: Diane Trout <diane@ghic.org>, Michał Zając <quintasan@kubuntu.org>, Mark Purcell <msp@debian.org>
 Build-Depends: debhelper (>= 9),
  pkg-kde-tools (>= 0.9),
  libtelepathy-qt4-dev (>= 0.9.3),
  kdelibs5-dev (>= 4:4.7),
  cmake (>= 2.8),
- libktpcommoninternalsprivate-dev (>= 0.8.1)
+ libktpcommoninternalsprivate-dev (>= 0.8.80)
 Standards-Version: 3.9.5
 Homepage: https://projects.kde.org/projects/extragear/network/telepathy/ktp-send-file
 Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-extras/kde-telepathy/ktp-send-file.git
@@ -16,7 +16,7 @@
 
 Package: kde-telepathy-send-file
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, kde-telepathy-data (>= 0.8.1)
+Depends: ${shlibs:Depends}, ${misc:Depends}, kde-telepathy-data (>= ${source:Upstream-Version})
 Recommends: kde-telepathy
 Enhances: dolphin, konqueror
 Description: KDE Telepathy dolphin/konqueror integration plugin

## ktp-send-file 15.08.2

=== debian/changelog ===
ktp-send-file (4:15.08.2-0ubuntu1) wily; urgency=medium

  * Vivid backport
  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Wed, 14 Oct 2015 12:52:13 +0100

ktp-send-file (4:15.08.1-0ubuntu1) wily; urgency=medium

  * New upstream release (15.08.1)

 -- Clive Johnston <clivejo@aol.com>  Tue, 22 Sep 2015 17:33:39 +0100

ktp-send-file (4:15.08.0-0ubuntu1) wily; urgency=medium

  * new upstream release

 -- Clive Johnston <clivejo@aol.com>  Wed, 26 Aug 2015 17:42:55 +0100

ktp-send-file (4:15.07.90-0ubuntu1) wily; urgency=medium

  * new upstream beta release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 18 Aug 2015 11:19:42 +0100

ktp-send-file (4:15.04.2-0ubuntu1) wily; urgency=medium

  [ Harald Sitter ]
  * KDE Frameworks 5 port

  [ Scarlett Clark ]
  * New upstream release

  [ Jonathan Riddell ]
  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 10 Jun 2015 18:59:26 +0200

=== debian/control ===
Source: ktp-send-file
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
Uploaders: Diane Trout <diane@ghic.org>,
           Michał Zając <quintasan@kubuntu.org>,
           Mark Purcell <msp@debian.org>
Build-Depends: cmake,
               debhelper (>= 9),
               extra-cmake-modules,
               gettext,
               kio-dev,
               libkf5attica-dev,
               libkf5auth-dev,
               libkf5bookmarks-dev,
               libkf5codecs-dev,
               libkf5completion-dev,
               libkf5config-dev,
               libkf5configwidgets-dev,
               libkf5coreaddons-dev,
               libkf5dbusaddons-dev,
               libkf5globalaccel-dev,
               libkf5guiaddons-dev,
               libkf5i18n-dev,
               libkf5iconthemes-dev,
               libkf5itemviews-dev,
               libkf5jobwidgets-dev,
               libkf5kcmutils-dev,
               libkf5service-dev,
               libkf5solid-dev,
               libkf5sonnet-dev,
               libkf5textwidgets-dev,
               libkf5wallet-dev,
               libkf5widgetsaddons-dev,
               libkf5windowsystem-dev,
               libkf5xmlgui-dev,
               libktp-dev,
               libtelepathy-qt5-dev,
               pkg-kde-tools (>> 0.15.15),
               qtbase5-dev
Standards-Version: 3.9.6
Homepage: https://projects.kde.org/projects/extragear/network/telepathy/ktp-send-file
Vcs-Git: git://anonscm.debian.org/pkg-kde/applications/ktp-send-file.git
Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/applications/ktp-send-file.git

Package: kde-telepathy-send-file
Architecture: any
Depends: kde-telepathy-data, ${misc:Depends}, ${shlibs:Depends}
Recommends: kde-telepathy
Enhances: dolphin, konqueror
Description: KDE Telepathy dolphin/konqueror integration plugin
 This package provides a dolphin/konqueror plugin that allows you
 to easily send files to your contacts from a context menu action.
 .
 This package is not meant to be used standalone. It is recommended
 to install the kde-telepathy metapackage instead.

Package: kde-telepathy-send-file-dbg
Architecture: any
Section: debug
Priority: extra
Depends: kde-telepathy-send-file (= ${binary:Version}), ${misc:Depends}
Description: KDE Telepathy dolphin/konqueror integration plugin - debug symbols
 This package provides the debug symbols for the KDE Telepathy send file
 plugin.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk

override_dh_strip:
	$(overridden_command) --dbg-package=kde-telepathy-send-file-dbg

=== debian/watch ===
version=3
http://download.kde.org/stable/applications/([\d.]+)/src/ktp-send-file-([\d.]+).tar.xz
http://download.kde.org/unstable/applications/([\d.]+)/src/ktp-send-file-([\d.]+).tar.xz

## ktp-send-file 15.08.3

=== CMakeLists.txt ===
project(ktp-send-file)

cmake_minimum_required(VERSION 2.8.12)

# KDE Application Version, managed by release script
set (KDE_APPLICATIONS_VERSION_MAJOR "15")
set (KDE_APPLICATIONS_VERSION_MINOR "08")
set (KDE_APPLICATIONS_VERSION_MICRO "3")
set (KTP_SEND_FILE_VERSION "${KDE_APPLICATIONS_VERSION_MAJOR}.${KDE_APPLICATIONS_VERSION_MINOR}.${KDE_APPLICATIONS_VERSION_MICRO}")

set(IS_KTP_INTERNAL_MODULE TRUE)

find_package(ECM 1.3.0 REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR})

find_package(Qt5 5.0 REQUIRED COMPONENTS Widgets)
find_package(KF5 5.0 REQUIRED COMPONENTS KCMUtils KIO IconThemes I18n)
find_package(KTp REQUIRED)

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings)
include(FeatureSummary)

configure_file(version.h.in ${CMAKE_CURRENT_BINARY_DIR}/version.h)

qt5_wrap_ui(KTP_SEND_FILE_SRCS mainwindow.ui)

# Create the plasmoid
add_executable(ktp-send-file mainwindow.cpp main.cpp ${KTP_SEND_FILE_SRCS})

# Link against the needed libraries
target_link_libraries(ktp-send-file
  KTp::CommonInternals
  KTp::Widgets
  KTp::Models
  Qt5::Widgets
  KF5::CoreAddons
  KF5::I18n
  KF5::KIOWidgets
  KF5::IconThemes
)

install(TARGETS ktp-send-file ${INSTALL_TARGETS_DEFAULT_ARGS})
install(FILES ktp-send-file.desktop DESTINATION ${SERVICES_INSTALL_DIR}/ServiceMenus)

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== debian/changelog ===
ktp-send-file (15.08.3-1) unstable; urgency=medium

  * New upstream release.

 -- Diane Trout <diane@ghic.org>  Wed, 02 Dec 2015 23:24:50 -0800

ktp-send-file (15.08.2-1) unstable; urgency=medium

  * Apply homepage update patch from Matthew Cope
  * Update watch file for KTp's move to Applications
  * New upstream release.
  * Update build-depends for move to KF5 and rename of
    libktpcommoninternalsprivate-dev to libktp-dev
  * Update copyright file, remove po/* block
  * Use dhmk from pkg-kde-tools to build ktp.
    - Change maintainer to debian-qt-kde
    - Update debian/rules
    - Update paths for new KF5 locations.
  * Add KDE's unstable download url to watch file

 -- Diane Trout <diane@ghic.org>  Sat, 07 Nov 2015 10:59:40 -0800

ktp-send-file (0.9.0-1) unstable; urgency=medium

  * New upstream release.
  * Update libktpcommoninternalsprivate-dev build-dep to 0.9.0
  * Update copyright file
  * Update Standards-Version to 3.9.6. No changes needed.
  * Update debian/watch file to use http://download.kde.org

 -- Diane Trout <diane@ghic.org>  Sat, 25 Apr 2015 20:11:19 -0700

=== debian/control ===
Source: ktp-send-file
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Diane Trout <diane@ghic.org>, Michał Zając <quintasan@kubuntu.org>, Mark Purcell <msp@debian.org>
Build-Depends: debhelper (>= 9),
 pkg-kde-tools (>= 0.9),
 libtelepathy-qt5-dev (>= 0.9.3),
 libtelepathy-logger-qt-dev,
 cmake (>= 2.8),
 extra-cmake-modules (>= 1.3.0),
 kio-dev,
 libktp-dev (>= 15.04),
 libkf5kcmutils-dev,
 libkf5iconthemes-dev,
 libkf5i18n-dev,
 libkf5wallet-dev,
 qtbase5-dev,
Standards-Version: 3.9.6
Homepage: https://projects.kde.org/projects/kde/kdenetwork/ktp-send-file
Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-extras/kde-telepathy/ktp-send-file.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-extras/kde-telepathy/ktp-send-file.git

Package: kde-telepathy-send-file
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, kde-telepathy-data (>= 0.8.1)
Recommends: kde-telepathy
Enhances: dolphin, konqueror
Description: KDE Telepathy dolphin/konqueror integration plugin
 This package provides a dolphin/konqueror plugin that allows you
 to easily send files to your contacts from a context menu action.
 .
 This package is not meant to be used standalone. It is recommended
 to install the kde-telepathy metapackage instead.

Package: kde-telepathy-send-file-dbg
Architecture: any
Section: debug
Priority: extra
Depends: kde-telepathy-send-file (= ${binary:Version}), ${misc:Depends}
Description: KDE Telepathy dolphin/konqueror integration plugin - debug symbols
 This package provides the debug symbols for the KDE Telepathy send file
 plugin.

=== debian/rules ===
--- 
+++ 
@@ -4,3 +4,6 @@
 
 override_dh_strip:
 	$(overridden_command) --dbg-package=kde-telepathy-send-file-dbg
+
+override_dh_install:
+	$(overridden_command) --fail-missing

=== debian/watch ===
version=3
http://download.kde.org/stable/applications/([\d.]+)/src/ktp-send-file-([\d.]+).tar.(?x:bz2|xz)
http://download.kde.org/unstable/applications/([\d.]+)/src/ktp-send-file-([\d.]+).tar.(?x:bz2|xz)

## ktp-send-file 15.12.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,7 +4,7 @@
 
 # KDE Application Version, managed by release script
 set (KDE_APPLICATIONS_VERSION_MAJOR "15")
-set (KDE_APPLICATIONS_VERSION_MINOR "08")
+set (KDE_APPLICATIONS_VERSION_MINOR "12")
 set (KDE_APPLICATIONS_VERSION_MICRO "3")
 set (KTP_SEND_FILE_VERSION "${KDE_APPLICATIONS_VERSION_MAJOR}.${KDE_APPLICATIONS_VERSION_MINOR}.${KDE_APPLICATIONS_VERSION_MICRO}")

=== debian/changelog ===
ktp-send-file (4:15.12.3-0ubuntu1) xenial; urgency=medium

  * New upstream bugfix release
  * Add missing epoch libktp-dev. 
  * New upstream bugfix release

 -- Scarlett Clark <sgclark@kubuntu.org>  Thu, 14 Apr 2016 16:11:58 -0700

ktp-send-file (4:15.12.1-2ubuntu1) xenial; urgency=medium

  * Merged with Debian
    - Added epoch used in Kubuntu
  * New upstream release

 -- Clive Johnston <clivejo@aol.com>  Wed, 09 Mar 2016 11:22:13 +0100

ktp-send-file (15.12.1-2) experimental; urgency=medium

  * Bump build dependencies.

 -- Maximiliano Curia <maxy@debian.org>  Sat, 13 Feb 2016 08:31:19 +0100

ktp-send-file (15.12.1-1) experimental; urgency=medium

  [ Maximiliano Curia ]
  * Update watch file.
  * Bump Standards-Version to 3.9.6.
  * New upstream release (15.12.0).
  * New upstream release (15.12.1).

 -- Maximiliano Curia <maxy@debian.org>  Mon, 01 Feb 2016 10:22:28 +0100

=== debian/control ===
Source: ktp-send-file
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Diane Trout <diane@ghic.org>,
           Michał Zając <quintasan@kubuntu.org>,
           Mark Purcell <msp@debian.org>
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 9),
               extra-cmake-modules (>= 1.3.0~),
               kio-dev (>= 5.0~),
               libkf5i18n-dev (>= 5.0~),
               libkf5iconthemes-dev (>= 5.0~),
               libkf5kcmutils-dev (>= 5.0~),
               libkf5wallet-dev,
               libktp-dev (>= 4:15.12~),
               libtelepathy-logger-qt-dev,
               libtelepathy-qt5-dev (>= 0.9.3),
               pkg-kde-tools (>= 0.9),
               qtbase5-dev (>= 5.4)
Standards-Version: 3.9.6
Homepage: https://projects.kde.org/projects/kde/kdenetwork/ktp-send-file
Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-extras/kde-telepathy/ktp-send-file.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-extras/kde-telepathy/ktp-send-file.git

Package: kde-telepathy-send-file
Architecture: any
Depends: kde-telepathy-data (>= 0.8.1), ${misc:Depends}, ${shlibs:Depends}
Recommends: kde-telepathy
Enhances: dolphin, konqueror
Description: KDE Telepathy dolphin/konqueror integration plugin
 This package provides a dolphin/konqueror plugin that allows you
 to easily send files to your contacts from a context menu action.
 .
 This package is not meant to be used standalone. It is recommended
 to install the kde-telepathy metapackage instead.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk

override_dh_auto_install:
	$(overridden_command) --destdir=debian/tmp

override_dh_strip:
	$(overridden_command) --ddeb-migration='kde-telepathy-send-file-dbg (<= 15.12.1-1~~)'

override_dh_install:
	$(overridden_command) --fail-missing

## ktp-send-file 16.04.3

=== debian/changelog ===
ktp-send-file (4:16.04.3-0ubuntu1) yakkety; urgency=medium

  [ Scarlett Clark ]
  * New upstream release.
  * Debian merge: No remaining changes.

  [ Philip Muškovac ]
  * Update the Vcs URLs now that the repositories are hosted on
    Launchpad

  [ Scarlett Clark ]
  * New upstream bugfix release

  [ Clive Johnston ]
  * New upstream release (16.04.2)
  * New upstream release (16.04.3)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Fri, 30 Sep 2016 06:32:48 +0200

ktp-send-file (15.12.2-1~) UNRELEASED; urgency=medium

  [ Maximiliano Curia ]
  * New upstream release (15.12.2).

  [ Scarlett Clark ]
  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Sun, 01 May 2016 20:35:05 -0700

=== debian/control ===
--- 
+++ 
@@ -7,21 +7,21 @@
            Mark Purcell <msp@debian.org>
 Build-Depends: cmake (>= 2.8.12~),
                debhelper (>= 9),
-               extra-cmake-modules (>= 1.3.0~),
-               kio-dev (>= 5.0~),
-               libkf5i18n-dev (>= 5.0~),
-               libkf5iconthemes-dev (>= 5.0~),
-               libkf5kcmutils-dev (>= 5.0~),
-               libkf5wallet-dev,
-               libktp-dev (>= 4:15.12~),
+               extra-cmake-modules (>= 5.24.0~),
+               kio-dev (>= 5.24.0~),
+               libkf5i18n-dev (>= 5.24.0~),
+               libkf5iconthemes-dev (>= 5.24.0~),
+               libkf5kcmutils-dev (>= 5.24.0~),
+               libkf5wallet-dev (>= 5.24.0~),
+               libktp-dev (>= 4:16.04.3~),
                libtelepathy-logger-qt-dev,
                libtelepathy-qt5-dev (>= 0.9.3),
                pkg-kde-tools (>= 0.9),
-               qtbase5-dev (>= 5.4)
+               qtbase5-dev (>= 5.6.1~)
 Standards-Version: 3.9.6
 Homepage: https://projects.kde.org/projects/kde/kdenetwork/ktp-send-file
-Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-extras/kde-telepathy/ktp-send-file.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-extras/kde-telepathy/ktp-send-file.git
+Vcs-Git: git://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/ktp-send-file
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/ktp-send-file
 
 Package: kde-telepathy-send-file
 Architecture: any

## ktp-send-file 16.12.3

=== debian/changelog ===
ktp-send-file (4:16.12.3-0ubuntu1) zesty; urgency=low

  [ Darin Miller ]
  * New upstream release (16.12.2)

  [ José Manuel Santamaría Lema ]
  * New upstream release (16.12.3)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Fri, 10 Mar 2017 21:23:25 +0000

ktp-send-file (4:16.12.1-0ubuntu1) zesty; urgency=medium

  [ José Manuel Santamaría Lema ]
  * Update Vcs-Git fields to use https:// instead of git://

  [ Rik Mills ]
  * New upstream release (16.12.0)
  * Update build deps to use new KF5 style names
  * New upstream release (16.12.1)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 19 Jan 2017 16:12:04 +0000

=== debian/control ===
--- 
+++ 
@@ -7,20 +7,20 @@
            Mark Purcell <msp@debian.org>
 Build-Depends: cmake (>= 2.8.12~),
                debhelper (>= 9),
-               extra-cmake-modules (>= 5.24.0~),
-               kio-dev (>= 5.24.0~),
-               libkf5i18n-dev (>= 5.24.0~),
-               libkf5iconthemes-dev (>= 5.24.0~),
-               libkf5kcmutils-dev (>= 5.24.0~),
-               libkf5wallet-dev (>= 5.24.0~),
-               libktp-dev (>= 4:16.04.3~),
+               extra-cmake-modules (>= 5.31.0~),
+               libkf5i18n-dev (>= 5.31.0~),
+               libkf5iconthemes-dev (>= 5.31.0~),
+               libkf5kcmutils-dev (>= 5.31.0~),
+               libkf5kio-dev (>= 5.31.0~),
+               libkf5wallet-dev (>= 5.31.0~),
+               libktp-dev (>= 4:16.12.3~),
                libtelepathy-logger-qt-dev,
                libtelepathy-qt5-dev (>= 0.9.3),
                pkg-kde-tools (>= 0.9),
                qtbase5-dev (>= 5.6.1~)
 Standards-Version: 3.9.6
 Homepage: https://projects.kde.org/projects/kde/kdenetwork/ktp-send-file
-Vcs-Git: git://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/ktp-send-file
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/ktp-send-file
 Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/ktp-send-file
 
 Package: kde-telepathy-send-file

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk

override_dh_auto_install:
	$(overridden_command) --destdir=debian/tmp

override_dh_strip:
	$(overridden_command) --dbgsym-migration='kde-telepathy-send-file-dbg (<= 15.12.1-1~~)'

override_dh_install:
	$(overridden_command) --fail-missing

## ktp-send-file 17.04.3

=== debian/changelog ===
ktp-send-file (4:17.04.3-0ubuntu1) artful; urgency=low

  * New upstream release (17.04.1)
  * Install usr/share/locale/*
  * Add Breaks/Replaces against kde-l10n
  * New upstream release (17.04.2)
  * New upstream release (17.04.3)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Fri, 18 Aug 2017 08:27:19 +0100

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
                libkf5kcmutils-dev (>= 5.31.0~),
                libkf5kio-dev (>= 5.31.0~),
                libkf5wallet-dev (>= 5.31.0~),
-               libktp-dev (>= 4:16.12.3~),
+               libktp-dev (>= 4:17.04.3~),
                libtelepathy-logger-qt-dev,
                libtelepathy-qt5-dev (>= 0.9.3),
                pkg-kde-tools (>= 0.9),
@@ -28,6 +28,8 @@
 Depends: kde-telepathy-data (>= 0.8.1), ${misc:Depends}, ${shlibs:Depends}
 Recommends: kde-telepathy
 Enhances: dolphin, konqueror
+Breaks: ${kde-l10n:all}
+Replaces: ${kde-l10n:all}
 Description: KDE Telepathy dolphin/konqueror integration plugin
  This package provides a dolphin/konqueror plugin that allows you
  to easily send files to your contacts from a context menu action.

## ktp-send-file 17.08.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,8 +3,8 @@
 cmake_minimum_required(VERSION 2.8.12)
 
 # KDE Application Version, managed by release script
-set (KDE_APPLICATIONS_VERSION_MAJOR "15")
-set (KDE_APPLICATIONS_VERSION_MINOR "12")
+set (KDE_APPLICATIONS_VERSION_MAJOR "17")
+set (KDE_APPLICATIONS_VERSION_MINOR "08")
 set (KDE_APPLICATIONS_VERSION_MICRO "3")
 set (KTP_SEND_FILE_VERSION "${KDE_APPLICATIONS_VERSION_MAJOR}.${KDE_APPLICATIONS_VERSION_MINOR}.${KDE_APPLICATIONS_VERSION_MICRO}")
 
@@ -45,3 +45,4 @@
 install(FILES ktp-send-file.desktop DESTINATION ${SERVICES_INSTALL_DIR}/ServiceMenus)
 
 feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)
+ki18n_install(po)

=== debian/changelog ===
ktp-send-file (17.08.3-1+rb2) UNRELEASED; urgency=medium

  * update

 -- Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Fri, 22 Jan 2021 11:45:48 +0800

ktp-send-file (17.08.3-1) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.
  * New upstream release.
  * Bump Standards-Version to 4.1.2, no changes required.
  * Simplify watch file, and switch it to https.
  * Bump telepathy-related build dependencies:
    - libktp-dev to >= 17.08.3
    - libtelepathy-logger-qt-dev to >= 17.08
    - libtelepathy-qt5-dev to >= 0.9.7
  * Remove unused libkf5wallet-dev build dependency.
  * Adjust l10npkgs_firstversion_ok to the version where kde-l10n will
    drop translations.

 -- Pino Toscano <pino@debian.org>  Sat, 09 Dec 2017 09:02:05 +0100

ktp-send-file (17.08.1-1) experimental; urgency=medium

  * New upstream release (17.08.1).
  * Drop soon to be deprecated fail-missing
  * Update watch file
  * Add breaks/replaces against the kde-l10n packages
  * Release to experimental

 -- Maximiliano Curia <maxy@debian.org>  Mon, 11 Sep 2017 19:59:17 +0200

ktp-send-file (16.04.2-1) experimental; urgency=medium

  * New upstream release.

 -- Maximiliano Curia <maxy@debian.org>  Fri, 24 Jun 2016 09:42:05 +0200

ktp-send-file (16.04.1-1) experimental; urgency=medium

  [ Automatic packaging ]
  * Bump Standards-Version to 3.9.8
  * Update build-deps and deps with the info from cmake
  * Add a .gitattributes file to use dpkg-mergechangelogs

 -- Maximiliano Curia <maxy@debian.org>  Sat, 28 May 2016 02:13:01 +0200

=== debian/control ===
Source: ktp-send-file
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Diane Trout <diane@ghic.org>,
           Michał Zając <quintasan@kubuntu.org>,
           Mark Purcell <msp@debian.org>,
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 9),
               extra-cmake-modules (>= 1.3.0~),
               libkf5i18n-dev (>= 5.0~),
               libkf5iconthemes-dev (>= 5.0~),
               libkf5kcmutils-dev (>= 5.0~),
               libkf5kio-dev (>= 5.0~),
               libktp-dev (>= 17.08.3~),
               libtelepathy-logger-qt-dev (>= 17.08~),
               libtelepathy-qt5-dev (>= 0.9.7~),
               pkg-kde-tools (>= 0.9),
               qtbase5-dev (>= 5.4),
Standards-Version: 4.1.2
Homepage: https://projects.kde.org/projects/kde/kdenetwork/ktp-send-file
Vcs-Git: https://anonscm.debian.org/git/pkg-kde/applications/ktp-send-file.git
Vcs-Browser: https://anonscm.debian.org/git/pkg-kde/applications/ktp-send-file.git

Package: kde-telepathy-send-file
Architecture: any
Depends: kde-telepathy-data (>= 0.8.1), ${misc:Depends}, ${shlibs:Depends}
Breaks: ${kde-l10n:all}
Replaces: ${kde-l10n:all}
Recommends: kde-telepathy
Enhances: dolphin, konqueror
Description: KDE Telepathy dolphin/konqueror integration plugin
 This package provides a dolphin/konqueror plugin that allows you
 to easily send files to your contacts from a context menu action.
 .
 This package is not meant to be used standalone. It is recommended
 to install the kde-telepathy metapackage instead.

=== debian/rules ===
#!/usr/bin/make -f

l10npkgs_firstversion_ok := 4:16.04.3-7~

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk
include /usr/share/pkg-kde-tools/qt-kde-team/2/l10n-packages.mk

override_dh_strip:
	$(overridden_command) --dbgsym-migration='kde-telepathy-send-file-dbg (<= 15.12.1-1~~)'

## ktp-send-file 17.12.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,7 +4,7 @@
 
 # KDE Application Version, managed by release script
 set (KDE_APPLICATIONS_VERSION_MAJOR "17")
-set (KDE_APPLICATIONS_VERSION_MINOR "08")
+set (KDE_APPLICATIONS_VERSION_MINOR "12")
 set (KDE_APPLICATIONS_VERSION_MICRO "3")
 set (KTP_SEND_FILE_VERSION "${KDE_APPLICATIONS_VERSION_MAJOR}.${KDE_APPLICATIONS_VERSION_MINOR}.${KDE_APPLICATIONS_VERSION_MICRO}")

=== debian/changelog ===
ktp-send-file (4:17.12.3-0ubuntu1) bionic; urgency=medium

  * New upstream release (17.12.3)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 16 Mar 2018 13:31:44 +0000

ktp-send-file (4:17.12.2-0ubuntu1) bionic; urgency=medium

  * New upstream release (17.11.80)
  * New upstream release (17.11.90)
  * New upstream release (17.12.0)
  * New upstream release (17.12.2)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 22 Feb 2018 17:01:30 +0000

ktp-send-file (4:17.08.3-0ubuntu1) bionic; urgency=medium

  * New upstream release (17.08.3)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 01 Dec 2017 15:11:10 +0000

=== debian/control ===
Source: ktp-send-file
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Diane Trout <diane@ghic.org>,
           Michał Zając <quintasan@kubuntu.org>,
           Mark Purcell <msp@debian.org>
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.31.0~),
               libkf5i18n-dev (>= 5.31.0~),
               libkf5iconthemes-dev (>= 5.31.0~),
               libkf5kcmutils-dev (>= 5.31.0~),
               libkf5kio-dev (>= 5.31.0~),
               libkf5wallet-dev (>= 5.31.0~),
               libktp-dev (>= 4:17.12.3~),
               libtelepathy-logger-qt-dev,
               libtelepathy-qt5-dev (>= 0.9.3),
               pkg-kde-tools (>= 0.9),
               qtbase5-dev (>= 5.6.1~)
Standards-Version: 3.9.6
Homepage: https://projects.kde.org/projects/kde/kdenetwork/ktp-send-file
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/ktp-send-file
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/ktp-send-file

Package: kde-telepathy-send-file
Architecture: any
Depends: kde-telepathy-data (>= 0.8.1), ${misc:Depends}, ${shlibs:Depends}
Recommends: kde-telepathy
Enhances: dolphin, konqueror
Breaks: ${kde-l10n:all}
Replaces: ${kde-l10n:all}
Description: KDE Telepathy dolphin/konqueror integration plugin
 This package provides a dolphin/konqueror plugin that allows you
 to easily send files to your contacts from a context menu action.
 .
 This package is not meant to be used standalone. It is recommended
 to install the kde-telepathy metapackage instead.

=== debian/rules ===
#!/usr/bin/make -f

l10npkgs_firstversion_ok := 4:17.03.90-0~

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk
include /usr/share/pkg-kde-tools/qt-kde-team/2/l10n-packages.mk

override_dh_auto_install:
	$(overridden_command) --destdir=debian/tmp

override_dh_strip:
	$(overridden_command) --dbgsym-migration='kde-telepathy-send-file-dbg (<= 15.12.1-1~~)'

override_dh_install:
	$(overridden_command) --fail-missing

=== debian/watch ===
version=3
http://download.kde.org/stable/applications/([\d.]+)/src/ktp-send-file-([\d.]+)\.tar\.(?x:bz2|xz)
http://download.kde.org/unstable/applications/([\d.]+)/src/ktp-send-file-([\d.]+)\.tar\.(?x:bz2|xz)

## ktp-send-file 18.04.3

=== debian/changelog ===
ktp-send-file (4:18.04.3-0ubuntu1) cosmic; urgency=medium

  * New upstream release (18.03.80)
  * New upstream release (18.04.0)
  * New upstream release (18.04.1)
  * New upstream release (18.04.3)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 10 Aug 2018 09:21:48 +0100

=== debian/control ===
--- 
+++ 
@@ -13,11 +13,11 @@
                libkf5kcmutils-dev (>= 5.31.0~),
                libkf5kio-dev (>= 5.31.0~),
                libkf5wallet-dev (>= 5.31.0~),
-               libktp-dev (>= 4:17.12.3~),
+               libktp-dev (>= 4:18.04.3~),
                libtelepathy-logger-qt-dev,
                libtelepathy-qt5-dev (>= 0.9.3),
                pkg-kde-tools (>= 0.9),
-               qtbase5-dev (>= 5.6.1~)
+               qtbase5-dev (>= 5.6.1~),
 Standards-Version: 3.9.6
 Homepage: https://projects.kde.org/projects/kde/kdenetwork/ktp-send-file
 Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/ktp-send-file

## ktp-send-file 18.12.3

=== debian/changelog ===
ktp-send-file (4:18.12.3-0ubuntu1) disco; urgency=medium

  * New upstream release (18.12.3)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 07 Mar 2019 13:33:28 +0000

ktp-send-file (4:18.12.2-0ubuntu1) disco; urgency=medium

  * New upstream release (18.12.2)

 -- Rik Mills <rikmills@kubuntu.org>  Sun, 17 Feb 2019 13:20:31 +0000

ktp-send-file (4:18.12.1-0ubuntu1) disco; urgency=medium

  * New upstream release (18.12.1)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 10 Jan 2019 14:14:17 +0000

ktp-send-file (4:18.12.0-0ubuntu1) disco; urgency=medium

  * New upstream beta release (18.11.80)
  * New upstream release (18.12.0)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 05 Jan 2019 16:52:33 +0000

ktp-send-file (4:18.08.3-0ubuntu2) disco; urgency=medium

  * Fix typo in control file.

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 04 Jan 2019 13:39:52 +0000

ktp-send-file (4:18.08.3-0ubuntu1) disco; urgency=medium

  * New upstream release (18.08.3)
  * Merge Debian changes. Remaining changes:
    - d/rules: l10npkgs_firstversion_ok := 4:17.03.90-0~
    - Bumped build deps.
    - Kubuntu Vcs fields.

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 04 Jan 2019 12:38:33 +0000

=== debian/control ===
Source: ktp-send-file
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Diane Trout <diane@ghic.org>,
           Michał Zając <quintasan@kubuntu.org>,
           Mark Purcell <msp@debian.org>,
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.31.0~),
               libkf5i18n-dev (>= 5.31.0~),
               libkf5iconthemes-dev (>= 5.31.0~),
               libkf5kcmutils-dev (>= 5.31.0~),
               libkf5kio-dev (>= 5.31.0~),
               libktp-dev (>= 4:18.12.3~),
               libtelepathy-logger-qt-dev,
               libtelepathy-qt5-dev (>= 0.9.3),
               pkg-kde-tools (>= 0.9),
               qtbase5-dev (>= 5.6.1~),
Standards-Version: 4.1.2
Homepage: https://projects.kde.org/projects/kde/kdenetwork/ktp-send-file
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/ktp-send-file
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/ktp-send-file

Package: kde-telepathy-send-file
Architecture: any
Depends: kde-telepathy-data (>= 0.8.1), ${misc:Depends}, ${shlibs:Depends}
Breaks: ${kde-l10n:all}
Replaces: ${kde-l10n:all}
Recommends: kde-telepathy
Enhances: dolphin, konqueror
Description: KDE Telepathy dolphin/konqueror integration plugin
 This package provides a dolphin/konqueror plugin that allows you
 to easily send files to your contacts from a context menu action.
 .
 This package is not meant to be used standalone. It is recommended
 to install the kde-telepathy metapackage instead.
